OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_StdMapNodeOfIDMap Class Reference

`#include <TDF_StdMapNodeOfIDMap.hxx>`

## Public Member Functions
| TDF_StdMapNodeOfIDMap (const Standard_GUID &K, const TCollection_MapNodePtr &n)
Standard_GUID & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_GUID | myKey

## Constructor & Destructor Documentation

TDF_StdMapNodeOfIDMap::TDF_StdMapNodeOfIDMap | ( | const Standard_GUID & | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDF_StdMapNodeOfIDMap::Handle | ( | Standard_Type |  | ) | const

Standard_GUID& TDF_StdMapNodeOfIDMap::Key | ( |  | ) | const

## Field Documentation

Standard_GUID TDF_StdMapNodeOfIDMap::myKey`[private]`

The documentation for this class was generated from the following file:

- TDF_StdMapNodeOfIDMap.hxx